<template>
  <v-row>
    <v-col cols="12" md="3" xl="12" sm="6" v-if="propLocker == true">
      <v-text-field
        label="ค้นหารหัสล็อกเกอร์"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.lockerCode"
      ></v-text-field>
    </v-col>
    <v-col cols="12" :md="propLocate == true ? 6 : 4" xl="12" sm="6">
      <v-select
        label="ช่วงเวลา"
        item-text="name"
        item-value="value"
        :items="itemStatus"
        v-model="objLocal.durationType"
        outlined
        rounded
        prepend-inner-icon="search"
      ></v-select>
    </v-col>
    <v-col v-if="objLocal.durationType == 'W'">
      <DatePicker :inputDate.sync="objLocal.dates" />
    </v-col>
    <v-col v-if="objLocal.durationType == 'M'">
      <MonthPicker :inputMonth.sync="objLocal.months" />
    </v-col>
    <v-col v-if="objLocal.durationType == 'Y'">
      <YearPicker :inputYear.sync="objLocal.years" />
    </v-col>
    <v-col
      cols="12"
      md="6"
      xl="12"
      sm="6"
      v-if="propLocate == true && role == 'Admin'"
    >
      <v-text-field
        label="ชื่อ"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.firstName"
      ></v-text-field>
    </v-col>
    <v-col
      cols="12"
      md="6"
      xl="12"
      sm="6"
      v-if="propLocate == true && role == 'Admin'"
    >
      <v-text-field
        label="นามสกุล"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.lastName"
      ></v-text-field>
    </v-col>

    <v-col cols="12" md="6" xl="12" sm="6" v-if="propLocate == true">
      <v-text-field
        label="ค้นหาชื่อสถานที่"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.locateName"
      >
      </v-text-field>
    </v-col>
    <v-col cols="12" md="6" xl="12" sm="6" v-if="propLocate == true">
      <v-text-field
        label="ค้นหาตำบล"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.subDistrict"
      >
      </v-text-field>
    </v-col>
    <v-col cols="12" md="4" xl="12" sm="6" v-if="propLocate == true">
      <v-text-field
        label="ค้นหาอำเภอ"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.district"
      >
      </v-text-field>
    </v-col>
    <v-col cols="12" md="4" xl="12" sm="6" v-if="propLocate == true">
      <v-text-field
        label="ค้นหาจังหวัด"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.province"
      >
      </v-text-field>
    </v-col>
    <v-col cols="12" md="4" xl="12" sm="6" v-if="propLocate == true">
      <v-text-field
        label="ค้นหารหัสไปรษณีย์"
        outlined
        rounded
        prepend-inner-icon="search"
        v-model="objLocal.postalCode"
      ></v-text-field>
    </v-col>
  </v-row>
</template>

<script>
import DatePicker from "./DatePicker";
import MonthPicker from "./MonthPicker";
import YearPicker from "./YearPicker";
export default {
  props: ["obj", "propLocate", "propLocker", "propLockerroom"],
  model: {
    prop: "obj",
    event: "objChange",
  },
  components: {
    DatePicker,
    MonthPicker,
    YearPicker,
  },
  data() {
    return {
      role: this.$store.getters["auth/roleUser"],
      itemStatus: [
        { name: "ต่อสัปดาห์", value: "W" },
        { name: "ต่อเดือน", value: "M" },
        { name: "ต่อปี", value: "Y" },
      ],
    };
  },
  created() {
    // this.objLocal.durationType = { name: "ต่อสัปดาห์", value: "W" };
  },
  computed: {
    objLocal: {
      get: function () {
        return this.obj;
      },
      set: function (value) {
        this.$emit("objChange", value);
      },
    },
  },
};
</script>

<style>
</style>